function myPeriod = my_BlockPeriodMap(IDX, T, BlockLength)

BlockNo = floor(T/BlockLength);
BlockResidual = T-(BlockNo)*BlockLength;
myPeriod=(IDX-1)*BlockLength+(1:(BlockLength+(IDX==BlockNo)*BlockResidual));

end
